jQuery.plugin('de_epages.content.inc.dropdown', {
  DOM: true
}, function($,undefined){
	$.extend( $.scope('de_epages.content.inc.dropdown'), {
		init: function(selector,orientation){
			var dropList = $(selector),
				container = dropList.closest(".Middle"),
				orientation = orientation ? orientation : 'UpDown' ;
			if(orientation == 'UpDown'){
				dropList
					.find("li")
					.each(function(){
						var item = $(this),
							list = item.children('ul:first'),
							timer;

						if( list.length ){
							item.hover(function(){
									list.stop(true, true)
										.fadeIn(200)
										.removeClass("DropUp");
									clearTimeout(timer);
									if( container.offset().top + container.innerHeight() < list.offset().top + list.outerHeight() ){
										list.addClass("DropUp");
									}
								},
								function(){
									list.delay(300)
										.stop(true, true)
										.fadeOut(200);
									// reset drop up position
									timer = setTimeout(function(){
										list.removeClass("DropUp");
									},500);
								});
						}
					})
					.find('ul')
					.css('display','none');
			}
			else{
				$(selector).hover(function(){
					$(this)
						.children('ul:first')
							.stop(true, true)
							.queue(function(next){
								var elem = $(this).show();
								var parentContainer = elem.parents('.PropertyContainer');
								if(elem.offset().left +  elem.width() > parentContainer.width() + parentContainer.offset().left
								|| elem.parents('.to-left').length){
									elem.addClass('to-left');
								}
							})
			}, function(){
					$(this)
						.find('ul')
							.delay(300)
							.stop(true, true)
							.fadeOut(200);
			})
				.find('ul')
			.css('display','none');
			}
		},
		activate: function(objectId){
			$('.Category-' + objectId + ':not(.NavigationElement)')
				.addClass('ActiveNode')
				.parents('li:not(li:last)')
					.addClass('ActiveNode')
				.end()
				.parents('li:last')
					.addClass('Active');
      $('.Category-' + objectId + '.NavigationElement')
        .addClass('Active');
		}
	});
});